Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse PDE Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.pde.core.plugin
Interface ISharedPluginModel

All Superinterfaces:
  IAdaptable, IBaseModel, IModel, IModelChangeProvider

All Known Subinterfaces:
  IExtensionsModel, IFragmentModel, IPluginModel, IPluginModelBase, ISharedExtensionsModel

public interface ISharedPluginModel
extends IModel, IModelChangeProvider

This type of model is created by parsing the manifest file. It serves as a base interface for both plug-in and fragment models by holding data common to both. If the file is a workspace resource, it will be available as the underlying resource of the model. The model may be read-only or editable. It will also make a reference to the build.properties model when created. The reference will be of the same type as the model itself: if the model is editable, it will attempt to obtain an exclusive editable copy of build.properties model.

The plug-in model can be disabled. Disabling the model will not change its data. Users of the model will have to decide if the disabled state if of any importance to them or not.

The model is capable of notifying listeners about changes. An attempt to change a read-only model will result in a CoreException.

Method Summary
`IExtensionsModelFactory` | `getFactory()` Returns a factory object that should be used to create new instances of the model objects.
`String` | `getInstallLocation()` Returns a location of the file that was used to create this model.

Methods inherited from interface org.eclipse.pde.core.IModel
`getResourceString, getTimeStamp, getUnderlyingResource, isInSync, isLoaded, isReconcilingModel, load, load, reload`

Methods inherited from interface org.eclipse.pde.core.IBaseModel
`dispose, isDisposed, isEditable, isValid`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.pde.core.IModelChangeProvider
`addModelChangedListener, fireModelChanged, fireModelObjectChanged, removeModelChangedListener`

Method Detail

### getFactory

    public IExtensionsModelFactory getFactory()

  Returns a factory object that should be used to create new instances of the model objects.

### getInstallLocation

    public String getInstallLocation()

  Returns a location of the file that was used to create this model. This property is used only for external models.

  Returns:
    a location of the external model, or `null` if the model is created from a resource.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse PDE Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.